# Collect various commands used to fix errors in the packages
# branches

# This is intended to be sourced when needed on jubany

# When all is said and done, this file should not exist. When
# bugs like http://pad.lv/713719 et al will be fixed (i.e. when
# the package importer can be managed without requiring a shell
# access), this file should be deleted. In the mean time, please
# add your own commands there as you discover them, the long term
# plan is to get rid of the useless ones and integrate the useful
# ones in a better place.

PATH=/srv/package-import.canonical.com/new/scripts/bin:${PATH}

lp_url() {
    local package dist series
    package=$1
    dist=$2
    series=$3
    if [ ${dist} = 'debian' ] ; then
        lpdist=debianlp
    else
        lpdist=${dist}
    fi
    # If the following doesn't work, we may switch to:
    # "bzr+ssh://bazaar.launchpad.net/+branch/${dist}/${series}/${package}"
    echo "${lpdist}:${series}/${package}"
}

delete_tag() {
    local tag package dist multiseries
    tag=$1
    package=$2
    dist=$3
    multiseries=$4

    for series in $multiseries; do
        url=`lp_url ${package} ${dist} ${series}`
        echo "delete tag ${tag} for ${package} in ${dist} ${series}"
        bzr tag --delete -d"${url}" "${tag}"
    done
}

force_tag() {
    local tag revisionid package dist multiseries
    tag=$1
    revid=$2
    package=$3
    dist=$4
    multiseries=$5

    for series in $multiseries; do
        url=`lp_url ${package} ${dist} ${series}`
        echo "force ${tag} to ${revid} for ${package} in ${dist} ${series}"
        bzr tag --force -d"${url}" "${tag}" -r"${revid}"
    done
}

requeue() {
    requeue-package "$@"
}
