import optparse

from udd import icommon
from udd import lpapi


def get_options():
    parser = optparse.OptionParser()
    parser.add_option('--reset', help="Reset all other branches to None",
            action="store_true", dest="reset")
    parser.add_option('--remove', help="Remove the official link",
            action="store_true", dest="remove")
    return parser


def main():
    parser = get_options()
    options, args = parser.parse_args()

    lp = lpapi.get_lp()

    bstore = icommon.BranchStore(args[0], lp, "")

    distro = 'ubuntu'

    if not options.remove:
        bstore._set_official_direct(distro,
                lp.distributions[distro].current_series.name, 'release',
                lp.branches.getByUrl(url=args[1]).self_link)
    else:
        bstore._set_official_direct(distro,
                lp.distributions[distro].current_series.name, 'release', None)

    if options.reset:
        for distro in ('ubuntu', 'debian'):
            releases = icommon.lp_distro_releases[distro]
            for release in releases:
                for pocket in icommon.distro_pockets[distro]:
                    if (release == lp.distributions[distro].current_series.name
                            and pocket == "release"):
                        continue
                    bstore._set_official_direct(distro, release, pocket,
                            None)
