from bzrlib import tests

from udd import icommon, idb


class TestCommitDb(tests.TestCase):

    def setUp(self):
        super(TestCommitDb, self).setUp()
        db_conn, db_type = idb.get_memory_db_connection()
        self.db = icommon.CommitDatabase(db_conn, db_type, 'foo')

    def test_has_commit(self):
        self.assertEquals(False, self.db.has_commit_started())
        self.db.start_commit()
        self.assertEquals(True, self.db.has_commit_started())

    def test_start_commit(self):
        self.db.start_commit()
        self.assertRaises(AssertionError, self.db.start_commit)

    def test_finish_commit(self):
        self.assertRaises(AssertionError, self.db.finish_commit)
        self.db.start_commit()
        self.db.finish_commit()

    # FIXME: requeue_package makes some weird use of the commit table assuming
    # that it's part of StatusDatabase. Truth is, both StatusDatabase and
    # CommitDatabase are in meta.db, but the trick makes it impractical to
    # test. -- vila 20111020
