from datetime import datetime

from bzrlib import tests

from udd import icommon, idb


class TestHistoryDb(tests.TestCase):

    def setUp(self):
        super(TestHistoryDb, self).setUp()
        self.db = icommon.HistoryDatabase(*idb.get_memory_db_connection())


class GetMainCountsTests(TestHistoryDb):

    def test_returns_queued(self):
        self.db.set_main_counts(2, 3)
        counts = self.db.get_main_counts()
        self.assertEqual(1, len(counts))
        self.assertEqual(2, counts[0][1])

    def test_returns_failed(self):
        self.db.set_main_counts(2, 3)
        counts = self.db.get_main_counts()
        self.assertEqual(1, len(counts))
        self.assertEqual(3, counts[0][2])

    def test_returns_datetimes(self):
        self.db.set_main_counts(1, 2)
        counts = self.db.get_main_counts()
        self.assertEqual(1, len(counts))
        self.assertIsInstance(counts[0][0], datetime)
