from bzrlib import tests

from udd import icommon, idb


class TestPackageDb(tests.TestCase):

    def setUp(self):
        super(TestPackageDb, self).setUp()
        self.db = icommon.PackageDatabase(*idb.get_memory_db_connection())

    def test_last_update_in_empty(self):
        self.assertEquals(None, self.db.last_update())

    def test_update_packages(self):
        self.db.update_packages({'foo': 1, 'bar': 0})
        self.assertEquals(set(['foo']), self.db.list_packages_in_main())

    def test_get_one(self):
        self.db.update_packages({'foo': 1, 'bar': 0})
        self.assertEquals('foo', self.db.get_one([]))
        self.assertEquals('bar', self.db.get_one(['foo']))
